# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/11/18
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.zhufumao_recommend import Recommend


class Main:
    @classmethod
    def main(cls, log_type, env):
        while True:
            if 16 >= datetime.datetime.now().hour >= 13:
                Common.logger(log_type).info('开始抓取"祝福猫"视频\n')
                Recommend.start_wechat(log_type, env)
                Recommend.i = 0
                Common.del_logs(log_type)
                Common.logger(log_type).info('视频列表已抓取完，休眠 1 分钟\n')
                time.sleep(60*1)


if __name__ == '__main__':
    Main.main('recommend', 'prod')
